#ifndef FREQREPLICATORFORM_H
#define FREQREPLICATORFORM_H

#include <QWidget>
#include "device/FreqReplicator.h"

namespace Ui {
class FreqReplicatorForm;
}

class FreqReplicatorForm : public QWidget
{
    Q_OBJECT

public:
    explicit FreqReplicatorForm(QWidget *parent = nullptr);
    ~FreqReplicatorForm();

public slots:
    void drawDeviceFrameOnForm(DeviceFrameBaseDto * frameData);

private slots:
    void on_freqRepButt_clicked();

private:
    Ui::FreqReplicatorForm *ui;
};

#endif // FREQREPLICATORFORM_H
